Get an issue
curl --request GET \
--url https://app.lucenthq.com/api/v1/issues/{issueId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lucenthq.com/api/v1/issues/{issueId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lucenthq.com/api/v1/issues/{issueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"issue": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"previewUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sessionCount": 1,
"updatedAt": "2023-11-07T05:31:56Z",
"ticketProvider": "<string>",
"ticketUrl": "<string>",
"ticketIdentifier": "<string>",
"stepsToReplicate": "<string>",
"aiVerified": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Data API
Get an issue
Fetches a single issue by UUID for the bearer token’s organization.
GET
/
api
/
v1
/
issues
/
{issueId}
Get an issue
Authorizations
API keys prefixed with luc_api_ or OAuth access tokens prefixed with luc_oat_. Legacy static keys prefixed with luc_mcp_ continue to work.
Path Parameters
Issue UUID.
Example:
"87b3a6b6-5af5-438b-a39c-eff148a68ccb"
Response
Issue details.
Show child attributes
Show child attributes
⌘I